Skip to navigation

Update Checkout Consignment

Updates an existing consignment. The address, line item IDs, and shipping option ID can be updated using this endpoint.

Use a separate PUT request to update the shipping option IDs if you also want to update the address and line item IDs.

To add new shipping options, complete the following steps:

  • Use the Add Consignment to Checkout endpoint to add a new [consignment] to a checkout.
  • Assign a shipping option to the new consignment by sending a PUT request to update the consignment’s shipping_option_id with a returned value from data.consignments[N].available_shipping_option[N].id obtained in the Add Consignment to Checkout endpoint.

To update an existing address and line item IDs, assign a new address and line item IDs by sending a PUT request.

To prevent lost updates due to concurrent requests overriding changes made by others, it is recommended to enable optimistic concurrency control by including the version field in the request payload. If the provided version does not match the version on the server, a conflict error will be returned, which the client can handle accordingly.

  1. Assign a shipping option to the new consignment by sending a PUT request to update the consignment’s shipping_option_id with a returned value from data.consignments[N].available_shipping_option[N].id obtained in Step One.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Checkoutsmodifystore_checkouts
Checkoutsread-onlystore_checkouts_read_only
Checkout Contentmodifystore_checkout_content
Checkout Contentread-onlystore_checkout_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

checkoutIdstringRequired

ID of the checkout; the same as the cart ID.

consignmentIdstringRequired
The ID of the consignment.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

includeenumOptional
Include the shipping options available to this checkout.
Allowed values:

Request

This endpoint expects an object.
addressobjectOptional
line_itemslist of objectsOptional
shipping_option_idstringOptional
pickup_optionobjectOptional
custom_shippingobjectOptional
versionintegerOptional

The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.

Response

OK
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

409
Conflict Error